/*
 * SpoofStick Install Script
 *
 * Copyright (C) 2004 CoreStreet, Ltd.
 * http://www.corestreet.com/
 *
 * Author: Mark Ayzenshtat
 */

const kDisplayName = "SpoofStick";
const kAppName = "spoofstick";
//const kAppPackage = "/corestreet/spoofstick";
const kVersion = "1.05";
const kAuthor = "Mark Ayzenshtat and Phil Libin";

const kInstallInProfFolderMsg = "Install SpoofStick into your profile folder?\n(click \"cancel\" to install into the application folder for all users)";

var jarName = kAppName + ".jar";
var contentFlag = CONTENT | PROFILE_CHROME;
var error = null;
var folder = getFolder("Profile", "chrome");
var existsInApp = File.exists(getFolder(getFolder("chrome"), jarName));
var existsInProfile = File.exists(getFolder(folder, jarName));

initInstall(kDisplayName, kAppName, kVersion);

if (existsInApp || (!existsInProfile && !confirm(kInstallInProfFolderMsg))) {
	contentFlag = CONTENT | DELAYED_CHROME;
	folder = getFolder("chrome");	
}

setPackageFolder(folder);
error = addFile(kAuthor, kVersion, "chrome/" + jarName, folder, null);

if (error == SUCCESS) {
	folder = getFolder(folder, jarName);
	
	registerChrome(contentFlag, folder, "content/");	
	
	error = performInstall();
	if (error == SUCCESS || error == REBOOT_NEEDED) {
		alert(kDisplayName + " " + kVersion + " has been successfully installed.");
	} else {
		alert("Install failed.  Error code: " + error);
		cancelInstall(error);
	}
} else {
	alert("Install failed - could not create " + jarName + "\n" +
		"Make sure you have the permissions needed for installation.");
}